%define name gnome-telnet
%define version 2.1
%define release 2mdk

Name:		%{name}
Summary:	A pretty frontend and easy to use GNOME telnet/ssh/rlogin client
Version:	%{version}
Release:	%{release}
Copyright:	GPL
Group:		Networking/Remote access
URL:		http://www.cyest.org
Source:		gnome-telnet-2.1.tar.bz2
Requires:	gnome-core >= 1.0.0
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
Gnome Telnet provides a very nice graphical user interface for 
telnet, ssh, and rlogin client for Gnome.

%prep
%setup -q

%build
./autogen.sh --prefix=/usr
%make

%install
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}

mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_libdir}/menu
mkdir -p %{buildroot}%{_datadir}/gtelnet

install -m755 -d %{buildroot}%{_libdir}/%{name}
install -m755 -d %{buildroot}%{_bindir}
install -m555 src/Gnome_Telnet %{buildroot}%{_bindir}

install -m644 share/black.jpg %{buildroot}%{_datadir}/gtelnet/black.jpg
install -m644 share/brown_atoms.jpg %{buildroot}%{_datadir}/gtelnet/brown_atoms.jpg
install -m644 share/gnome-telnet.png %{buildroot}%{_datadir}/gtelnet/gnome-telnet.png
install -m644 share/gtelnet %{buildroot}%{_libdir}/menu/%{name}


%post
%update_menus


%postun
%clean_menus


%clean
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}


%files
%defattr(-,root,root)
%doc COPYING README INSTALL AUTHORS ABOUT-NLS NEWS docs/*
%{_bindir}/Gnome_Telnet
%{_datadir}/gtelnet/black.jpg
%{_datadir}/gtelnet/brown_atoms.jpg
%{_datadir}/gtelnet/gnome-telnet.png
%{_libdir}/menu/%{name}

%changelog
* Thu Aug 31 2000 Vincent Danen <vdanen@mandrakesoft.com> 2.1-2mdk
- new in contribs
- specfile cleanups

* Mon Aug 31 2000 Prana <pranalukas@linux-mandrake.com>
- Version 2.1 released -- This RPM is only for Mandrake 7.1+

* Mon Jul 28 2000 Prana <pranalukas@linux-mandrake.com>
- Version 2.0 released -- please don't e-mail to pranalukas@linux-mandrake.com as it's just an alias

* Mon Jun 12 2000 Prana <pranalukas@gmx.de>
- First time I build an RPMS package and also Takeshi Aihana (TurboLinux Japan) added ja.po

